# class Gem::SafeMarshal::Visitors::ToRuby::UnpermittedIvarError

### Public Class Methods

new (symbol:, klass:, stack:)
Source

    # File lib/rubygems/safe_marshal/visitors/to_ruby.rb, line 399
    def initialize(symbol:, klass:, stack:)
      @symbol = symbol
      @klass = klass
      @stack = stack
      super "Attempting to set unpermitted ivar #{symbol.inspect} on object of class #{klass} @ #{stack.join "."}"
    end

Calls superclass method `Exception::new`